## slof 20151103+dfsg

=== lib/Makefile ===
# *****************************************************************************
# * Copyright (c) 2004, 2008 IBM Corporation
# * All rights reserved.
# * This program and the accompanying materials
# * are made available under the terms of the BSD License
# * which accompanies this distribution, and is available at
# * http://www.opensource.org/licenses/bsd-license.php
# *
# * Contributors:
# *     IBM Corporation - initial implementation
# ****************************************************************************/

SUBDIRS = libc libipmi libbootmsg libbases libnvram libelf libhvcall libvirtio \
          libusb libveth libe1k libbcm

all:  subdirs

.PHONY : subdirs $(SUBDIRS) clean distclean


subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@ $(MAKEARG)

# Rules for making clean:
clean:
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean || exit 1; \
	done

distclean:
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir distclean || exit 1; \
	done

=== board-js2x/slof/Makefile ===
# *****************************************************************************
# * Copyright (c) 2004, 2008 IBM Corporation
# * All rights reserved.
# * This program and the accompanying materials
# * are made available under the terms of the BSD License
# * which accompanies this distribution, and is available at
# * http://www.opensource.org/licenses/bsd-license.php
# *
# * Contributors:
# *     IBM Corporation - initial implementation
# ****************************************************************************/


include ../Makefile.dirs

include $(TOPBRDDIR)/config
include $(TOPCMNDIR)/make.rules


all: Makefile.dep OF.ffs paflof $(SLOFCMNDIR)/xvect.bin

CPPFLAGS = -I$(LIBCMNDIR)/libbootmsg -I$(LIBCMNDIR)/libnvram \
	   -I$(LIBCMNDIR)/libusb -I$(LIBCMNDIR)/libbcm
SLOF_LIBS = \
	$(LIBCMNDIR)/libbootmsg.a \
	$(LIBCMNDIR)/libelf.a \
	$(LIBCMNDIR)/libusb.a \
	$(LIBCMNDIR)/libnvram.a \
	$(LIBCMNDIR)/libbcm.a
BOARD_SLOF_IN = \
	$(LIBCMNDIR)/libbootmsg/bootmsg.in \
	$(LIBCMNDIR)/libelf/libelf.in \
	$(LIBCMNDIR)/libusb/usb.in \
	$(LIBCMNDIR)/libbases/libbases.in  \
	$(LIBCMNDIR)/libnvram/libnvram.in \
	$(LIBCMNDIR)/libnativeio/nativeio.in \
	$(LIBCMNDIR)/libbcm/bcm.in
BOARD_SLOF_CODE = $(BOARD_SLOF_IN:%.in=%.code)

include $(SLOFCMNDIR)/Makefile.inc

FPPINCLUDES = -I. -I$(SLOFCMNDIR)/fs -I$(SLOFCMNDIR)

USB_FFS_FILES = \
	$(SLOFCMNDIR)/fs/devices/pci-class_0c.fs \
	$(SLOFCMNDIR)/fs/usb/dev-hci.fs \
	$(SLOFCMNDIR)/fs/usb/slofdev.fs \
	$(SLOFCMNDIR)/fs/usb/dev-parent-calls.fs \
	$(SLOFCMNDIR)/fs/usb/dev-keyb.fs \
	$(SLOFCMNDIR)/fs/usb/dev-mouse.fs \
	$(SLOFCMNDIR)/fs/usb/dev-storage.fs \
	$(SLOFCMNDIR)/fs/usb/dev-hub.fs

# Files that should go into the ROM fs (and so have to be listed in OF.ffs):
OF_FFS_FILES = \
	$(SLOFBRDDIR)/u4-mem.fs \
	$(SLOFBRDDIR)/attu.fs \
	$(SLOFBRDDIR)/cpu.fs \
	$(SLOFBRDDIR)/ioapic.fs \
	$(SLOFBRDDIR)/pci-bridge_1022_7460.fs \
	$(SLOFBRDDIR)/pci-device_1014_028c.fs \
	$(SLOFBRDDIR)/pci-device_1014_02bd.fs \
	$(SLOFBRDDIR)/pci-device_1022_7468.fs \
	$(SLOFBRDDIR)/pci-device_1022_7469.fs \
	$(SLOFBRDDIR)/pci-device_1022_7451.fs \
	$(SLOFBRDDIR)/pci-device_14e4_16a8.fs \
	$(SLOFBRDDIR)/bcm57xx.fs \
	$(SLOFBRDDIR)/pci-class_03.fs \
	$(SLOFBRDDIR)/vga-display.fs \
	$(SLOFBRDDIR)/freq.fs \
	$(SLOFBRDDIR)/pci-device_1002_515e.fs \
	$(SLOFBRDDIR)/citrine.fs \
	$(SLOFBRDDIR)/citrine-disk.fs \
	$(SLOFBRDDIR)/sio.fs \
	$(SLOFBRDDIR)/tpm.fs \
	$(SLOFBRDDIR)/ipmi-kcs.fs \
	$(SLOFCMNDIR)/fs/ide.fs \
	$(SLOFCMNDIR)/fs/fbuffer.fs \
	$(SLOFCMNDIR)/fs/graphics.fs \
	$(SLOFCMNDIR)/fs/generic-disk.fs \
	$(SLOFCMNDIR)/fs/scsi-disk.fs \
	$(SLOFCMNDIR)/fs/scsi-host-helpers.fs \
	$(SLOFCMNDIR)/fs/scsi-probe-helpers.fs \
	$(SLOFCMNDIR)/fs/scsi-support.fs \
	$(SLOFCMNDIR)/fs/dma-function.fs \
	$(SLOFCMNDIR)/fs/pci-device.fs \
	$(SLOFCMNDIR)/fs/pci-bridge.fs \
	$(SLOFCMNDIR)/fs/pci-properties.fs \
	$(SLOFCMNDIR)/fs/pci-config-bridge.fs \
	$(SLOFCMNDIR)/fs/update_flash.fs \
	$(SLOFCMNDIR)/fs/xmodem.fs \
	$(SLOFCMNDIR)/fs/devices/pci-device_10de_0141.fs \
	$(SLOFCMNDIR)/fs/devices/pci-class_02.fs \
	$(SLOFBRDDIR)/default-font.bin

# Uncomment the following line to enable the USB code:
OF_FFS_FILES += $(USB_FFS_FILES)

OF_FFS_FILES := $(OF_FFS_FILES:%.fs=%.fsi)

OF.ffs: Makefile $(SLOFCMNDIR)/Makefile.inc $(OF_FFS_FILES)
	$(MAKE) create_OF_ffs

# Rules for cleaning up:
.PHONY: clean_here clean distclean

clean_here:
	rm -f *.o OF.fsi OF.ffs

clean: clean_here clean_slof

distclean: clean_here distclean_slof

=== board-qemu/slof/Makefile ===
# *****************************************************************************
# * Copyright (c) 2004, 2011 IBM Corporation
# * All rights reserved.
# * This program and the accompanying materials
# * are made available under the terms of the BSD License
# * which accompanies this distribution, and is available at
# * http://www.opensource.org/licenses/bsd-license.php
# *
# * Contributors:
# *     IBM Corporation - initial implementation
# ****************************************************************************/


include ../Makefile.dirs

include $(TOPBRDDIR)/config
include $(TOPCMNDIR)/make.rules

all: version.o Makefile.dep OF.ffs paflof $(SLOFCMNDIR)/xvect.bin

CPPFLAGS = -I$(LIBCMNDIR)/libbootmsg -I$(LIBCMNDIR)/libhvcall \
	   -I$(LIBCMNDIR)/libvirtio -I$(LIBCMNDIR)/libnvram \
	   -I$(LIBCMNDIR)/libusb -I$(LIBCMNDIR)/libveth \
	   -I$(LIBCMNDIR)/libe1k
SLOF_LIBS = \
	$(LIBCMNDIR)/libbootmsg.a \
	$(LIBCMNDIR)/libelf.a \
	$(LIBCMNDIR)/libhvcall.a \
	$(LIBCMNDIR)/libvirtio.a \
	$(LIBCMNDIR)/libusb.a \
	$(LIBCMNDIR)/libnvram.a \
	$(LIBCMNDIR)/libveth.a \
	$(LIBCMNDIR)/libe1k.a
BOARD_SLOF_IN = \
	$(LIBCMNDIR)/libhvcall/hvcall.in \
	$(LIBCMNDIR)/libvirtio/virtio.in \
	$(LIBCMNDIR)/libusb/usb.in \
	$(LIBCMNDIR)/libbootmsg/bootmsg.in \
	$(LIBCMNDIR)/libelf/libelf.in \
	$(LIBCMNDIR)/libnvram/libnvram.in \
	$(LIBCMNDIR)/libbases/libbases.in \
	$(LIBCMNDIR)/libveth/veth.in \
	$(LIBCMNDIR)/libe1k/e1k.in
BOARD_SLOF_CODE = $(BOARD_SLOF_IN:%.in=%.code)

include $(SLOFCMNDIR)/Makefile.inc

AS1FLAGS  = $(CPPFLAGS) $(RELEASE) $(FLAG) $(CPUARCHDEF)  -Wa,-mregnames

%.o: %.S
	$(CC) $(AS1FLAGS) -o $@ -c $^

FPPINCLUDES = -I. -I$(SLOFCMNDIR)/fs -I$(SLOFCMNDIR)

USB_FFS_FILES = \
	$(SLOFCMNDIR)/fs/devices/pci-class_02.fs \
	$(SLOFCMNDIR)/fs/devices/pci-class_0c.fs \
	$(SLOFCMNDIR)/fs/usb/dev-hci.fs \
	$(SLOFCMNDIR)/fs/usb/slofdev.fs \
	$(SLOFCMNDIR)/fs/usb/dev-parent-calls.fs \
	$(SLOFCMNDIR)/fs/usb/dev-keyb.fs \
	$(SLOFCMNDIR)/fs/usb/dev-mouse.fs \
	$(SLOFCMNDIR)/fs/usb/dev-storage.fs \
	$(SLOFCMNDIR)/fs/usb/dev-hub.fs


VIO_FFS_FILES = \
	$(SLOFBRDDIR)/pci-device_1af4_1000.fs \
	$(SLOFBRDDIR)/pci-device_1af4_1001.fs \
	$(SLOFBRDDIR)/pci-device_1af4_1004.fs \
	$(SLOFBRDDIR)/pci-device_1af4_1009.fs \
	$(SLOFBRDDIR)/pci-device_1af4_1050.fs \
	$(SLOFBRDDIR)/vio-hvterm.fs \
	$(SLOFBRDDIR)/vio-vscsi.fs \
	$(SLOFBRDDIR)/vio-veth.fs \
	$(SLOFBRDDIR)/rtas-nvram.fs \
	$(SLOFBRDDIR)/virtio-net.fs \
	$(SLOFBRDDIR)/virtio-block.fs \
	$(SLOFBRDDIR)/virtio-fs.fs \
	$(SLOFBRDDIR)/dev-null.fs \
	$(SLOFBRDDIR)/virtio-scsi.fs

# Files that should go into the ROM fs (and so have to be listed in OF.ffs):
OF_FFS_FILES = \
	$(SLOFCMNDIR)/fs/ide.fs \
	$(SLOFCMNDIR)/fs/fbuffer.fs \
	$(SLOFCMNDIR)/fs/graphics.fs \
	$(SLOFCMNDIR)/fs/generic-disk.fs \
	$(SLOFCMNDIR)/fs/dma-function.fs \
	$(SLOFCMNDIR)/fs/pci-device.fs \
	$(SLOFCMNDIR)/fs/pci-bridge.fs \
	$(SLOFCMNDIR)/fs/pci-properties.fs \
	$(SLOFCMNDIR)/fs/pci-config-bridge.fs \
	$(SLOFCMNDIR)/fs/update_flash.fs \
	$(SLOFCMNDIR)/fs/xmodem.fs \
	$(SLOFCMNDIR)/fs/scsi-disk.fs \
	$(SLOFCMNDIR)/fs/scsi-host-helpers.fs \
	$(SLOFCMNDIR)/fs/scsi-probe-helpers.fs \
	$(SLOFCMNDIR)/fs/scsi-support.fs \
	$(SLOFBRDDIR)/default-font.bin \
	$(SLOFBRDDIR)/pci-phb.fs \
	$(SLOFBRDDIR)/rtas.fs \
	$(SLOFBRDDIR)/pci-device_1234_1111.fs \
	$(SLOFBRDDIR)/pci-device_1013_00b8.fs \
	$(SLOFBRDDIR)/pci-device_8086_100e.fs \
	$(SLOFBRDDIR)/e1k.fs \
	$(SLOFBRDDIR)/qemu-vga.fs \
	$(FCODE_FFS_FILES)

# Uncomment the following line to enable the USB code:
OF_FFS_FILES += $(USB_FFS_FILES)

OF_FFS_FILES += $(VIO_FFS_FILES)

OF_FFS_FILES := $(OF_FFS_FILES:%.fs=%.fsi)

OF.ffs: Makefile $(SLOFCMNDIR)/Makefile.inc $(OF_FFS_FILES)
	$(MAKE) create_OF_ffs

# Rules for cleaning up:
.PHONY: clean_here clean distclean

clean_here:
	rm -f *.o OF.fsi OF.ffs

clean: clean_here clean_slof

distclean: clean_here distclean_slof

=== debian/spapr-rtas/Makefile ===
all: spapr-rtas.bin

%.o: %.S
	gcc -Wall -O2 -g -o $@ -c $<

%.img: %.o
	gcc -nostdlib -o $@ $<

%.bin: %.img
	objcopy -O binary -j .text $< $@

clean:
	rm -f *.o *.img *.bin

.PHONY : all clean

=== lib/libhvcall/Makefile ===
# *****************************************************************************
# * Copyright (c) 2004, 2008 IBM Corporation
# * All rights reserved.
# * This program and the accompanying materials
# * are made available under the terms of the BSD License
# * which accompanies this distribution, and is available at
# * http://www.opensource.org/licenses/bsd-license.php
# *
# * Contributors:
# *     IBM Corporation - initial implementation
# ****************************************************************************/

TOPCMNDIR ?= ../..

include $(TOPCMNDIR)/make.rules

ASFLAGS = $(FLAG) $(RELEASE) $(CPUARCHDEF) -Wa,-mregnames
CPPFLAGS = -I../libc/include $(CPUARCHDEF) -I$(INCLBRDDIR) \
	   -I$(INCLCMNDIR) -I$(INCLCMNDIR)/$(CPUARCH)
LDFLAGS = -nostdlib

TARGET = ../libhvcall.a


all: $(TARGET)

SRCS = brokensc1.c
SRCSS = hvcall.S


OBJS = $(SRCS:%.c=%.o) $(SRCSS:%.S=%.o)

$(TARGET): $(OBJS)
	$(AR) -rc $@ $(OBJS)
	$(RANLIB) $@

%.o: %.S
	$(CC) $(CPPFLAGS) $(ASFLAGS) -c $< -o $@

clean:
	$(RM) $(TARGET) $(OBJS)

distclean: clean
	$(RM) Makefile.dep


# Rules for creating the dependency file:
depend:
	$(RM) Makefile.dep
	$(MAKE) Makefile.dep

Makefile.dep: Makefile
	$(CC) -M $(CPPFLAGS) $(CFLAGS) $(SRCS) $(SRCSS) > Makefile.dep

# Include dependency file if available:
-include Makefile.dep

=== lib/libvirtio/Makefile ===
# *****************************************************************************
# * Copyright (c) 2004, 2008 IBM Corporation
# * All rights reserved.
# * This program and the accompanying materials
# * are made available under the terms of the BSD License
# * which accompanies this distribution, and is available at
# * http://www.opensource.org/licenses/bsd-license.php
# *
# * Contributors:
# *     IBM Corporation - initial implementation
# ****************************************************************************/

TOPCMNDIR ?= ../..

include $(TOPCMNDIR)/make.rules

ASFLAGS = $(FLAG) $(RELEASE) $(CPUARCHDEF) -Wa,-mregnames
CPPFLAGS = -I../libc/include $(CPUARCHDEF) -I$(INCLBRDDIR) \
	   -I$(INCLCMNDIR) -I$(INCLCMNDIR)/$(CPUARCH)
LDFLAGS = -nostdlib

TARGET = ../libvirtio.a


all: $(TARGET)

SRCS =  virtio.c virtio-blk.c p9.c virtio-9p.c virtio-scsi.c virtio-net.c

OBJS = $(SRCS:%.c=%.o)

$(TARGET): $(OBJS)
	$(AR) -rc $@ $(OBJS)
	$(RANLIB) $@

%.o: %.S
	$(CC) $(CPPFLAGS) $(ASFLAGS) -c $< -o $@

clean:
	$(RM) $(TARGET) $(OBJS)

distclean: clean
	$(RM) Makefile.dep


# Rules for creating the dependency file:
depend:
	$(RM) Makefile.dep
	$(MAKE) Makefile.dep

Makefile.dep: Makefile
	$(CC) -M $(CPPFLAGS) $(CFLAGS) $(SRCS) $(SRCSS) > Makefile.dep

# Include dependency file if available:
-include Makefile.dep

=== debian/changelog ===
slof (20151103+dfsg-1ubuntu1.1) xenial; urgency=medium

  * Fix boot with more than 16 disks (LP: #1734856)
    - d/p/0001-boot-do-not-concatenate-bootdev.patch
    - d/p/0002-boot-use-a-temporary-bootdev-buf.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 18 Dec 2017 14:12:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
CROSS=powerpc-linux-gnu-
else
CROSS=
endif

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_clean
	$(MAKE) distclean
	$(MAKE) -C $(CURDIR)/debian/spapr-rtas clean

override_dh_auto_build-indep:
	dh_auto_build -- qemu CROSS="$(CROSS)"
	$(MAKE) -C $(CURDIR)/debian/spapr-rtas CROSS="$(CROSS)"

override_dh_auto_install-indep:
	mkdir -p $(CURDIR)/debian/qemu-slof/usr/share/slof
	install -m 644 $(CURDIR)/boot_rom.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/slof.bin
	install -m 644 $(CURDIR)/debian/spapr-rtas/spapr-rtas.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/spapr-rtas.bin

## slof 20160223+dfsg

=== debian/changelog ===
slof (20160223+dfsg-1) unstable; urgency=medium

  * New upstream snapshot for the QEMU 2.6.x releases.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 May 2016 22:27:18 +0200

slof (20151103+dfsg-2) unstable; urgency=medium

  * Build using the gcc-powerpc64-linux-gnu cross-compiler except on ppc64
    (closes: #813142).  
  * Bump Standards-Version to 3.9.7 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Mar 2016 22:56:26 +0100

=== debian/control ===
Source: slof
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 8), gcc-powerpc64-linux-gnu [!ppc64]
Standards-Version: 3.9.8
Vcs-Browser: http://anonscm.debian.org/?p=pkg-qemu/slof.git
Vcs-Git: git://anonscm.debian.org/git/pkg-qemu/slof.git
Homepage: https://github.com/aik/SLOF

Package: qemu-slof
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: qemu
Description: Slimline Open Firmware -- QEMU PowerPC version
 Slimline Open Firmware (SLOF) is an implementation of the IEEE 1275
 standard. It can be used as partition firmware for pSeries machines 
 running on QEMU or KVM.

## slof 20161019+dfsg

=== lib/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # ****************************************************************************/
 
 SUBDIRS = libc libipmi libbootmsg libbases libnvram libelf libhvcall libvirtio \
-          libusb libveth libe1k libbcm
+          libusb libveth libe1k libbcm libnet
 
 all:  subdirs

=== lib/libnet/Makefile ===
# *****************************************************************************
# * Copyright (c) 2004, 2008 IBM Corporation
# * All rights reserved.
# * This program and the accompanying materials
# * are made available under the terms of the BSD License
# * which accompanies this distribution, and is available at
# * http://www.opensource.org/licenses/bsd-license.php
# *
# * Contributors:
# *     IBM Corporation - initial implementation
# ****************************************************************************/

ifndef TOP
  TOP = $(shell while ! test -e make.rules; do cd ..  ; done; pwd)
  export TOP
endif
include $(TOP)/make.rules

CFLAGS += -I. -I.. -I../libc/include -I$(TOP)/include

SRCS =	ethernet.c ipv4.c udp.c tcp.c dns.c bootp.c dhcp.c tftp.c \
	ipv6.c dhcpv6.c icmpv6.c ndp.c netload.c ping.c args.c

OBJS = $(SRCS:%.c=%.o)

TARGET = ../libnet.a

all: $(TARGET)

$(TARGET): $(OBJS)
	$(AR) -rc $@ $(OBJS)
	$(RANLIB) $@

clean:
	$(RM) $(TARGET) $(OBJS)

distclean: clean
	$(RM) Makefile.dep


# Rules for creating the dependency file:
depend:
	$(RM) Makefile.dep
	$(MAKE) Makefile.dep

Makefile.dep: Makefile
	$(CC) -M $(CPPFLAGS) $(CFLAGS) $(SRCS) > Makefile.dep

# Include dependency file if available:
-include Makefile.dep

=== debian/changelog ===
slof (20161019+dfsg-1) unstable; urgency=medium

  * New upstream snapshot for the QEMU 2.8.x releases.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Jan 2017 21:37:13 +0000

=== debian/control ===
--- 
+++ 
@@ -16,5 +16,5 @@
 Suggests: qemu
 Description: Slimline Open Firmware -- QEMU PowerPC version
  Slimline Open Firmware (SLOF) is an implementation of the IEEE 1275
- standard. It can be used as partition firmware for pSeries machines 
+ standard. It can be used as partition firmware for pSeries machines
  running on QEMU or KVM.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_clean
	$(MAKE) distclean
	$(MAKE) -C $(CURDIR)/debian/spapr-rtas clean

override_dh_auto_build-indep:
	dh_auto_build -- qemu CROSS="powerpc64-linux-gnu-"
	$(MAKE) -C $(CURDIR)/debian/spapr-rtas CROSS="powerpc64-linux-gnu-"

override_dh_auto_install-indep:
	mkdir -p $(CURDIR)/debian/qemu-slof/usr/share/slof
	install -m 644 $(CURDIR)/boot_rom.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/slof.bin
	install -m 644 $(CURDIR)/debian/spapr-rtas/spapr-rtas.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/spapr-rtas.bin

## slof 20170724+dfsg

=== debian/changelog ===
slof (20170724+dfsg-1ubuntu1) bionic; urgency=medium

  * Fix boot with more than 16 disks (LP: #1734856)
    - d/p/0001-boot-do-not-concatenate-bootdev.patch
    - d/p/0002-boot-use-a-temporary-bootdev-buf.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 13 Dec 2017 14:46:58 +0100

slof (20170724+dfsg-1) unstable; urgency=medium

  * New upstream snapshot for the QEMU 2.10.x releases (closes: #871259).
  * Fix Vcs-Browser field.
  * Switch the priority to optional as the priority extra has been removed
    starting with policy 4.0.1.
  * Bump Standards-Version to 4.0.1 (no changes).
  * Add a get-orig-source target.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 12:23:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: slof
-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
 Section: misc
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 8), gcc-powerpc64-linux-gnu [!ppc64]
-Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-qemu/slof.git
+Standards-Version: 4.0.1
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-qemu/slof.git
 Vcs-Git: git://anonscm.debian.org/git/pkg-qemu/slof.git
 Homepage: https://github.com/aik/SLOF

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,24 @@
 	mkdir -p $(CURDIR)/debian/qemu-slof/usr/share/slof
 	install -m 644 $(CURDIR)/boot_rom.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/slof.bin
 	install -m 644 $(CURDIR)/debian/spapr-rtas/spapr-rtas.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/spapr-rtas.bin
+
+#
+# Rules to create the .orig.tar.xz file
+#
+SLOF_DEB_VERSION = $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+SLOF_ORIG_VERSION = $(shell echo $(SLOF_DEB_VERSION) | sed -e 's/-.*//')
+SLOF_URL = https://github.com/aik/SLOF/archive/qemu-slof-$(subst +dfsg,,$(SLOF_ORIG_VERSION)).tar.gz
+SLOF_DIR = slof-$(SLOF_ORIG_VERSION)
+SLOF_DEB_ORIG = ../slof_$(SLOF_ORIG_VERSION).orig.tar.xz
+
+get-orig-source: $(SLOF_DEB_ORIG)
+$(SLOF_DEB_ORIG):
+	dh_testdir
+	mkdir -p $(SLOF_DIR)
+	wget -O - $(SLOF_URL) | (tar -C $(SLOF_DIR) --strip-components=1 -xzf -)
+	tar --exclude="*.pdf" --exclude="*.oco" \
+	    --mode=go=rX,u+rw,a-s \
+	    --owner=root --group=root --numeric-owner \
+	    -Jcf $(SLOF_DEB_ORIG) $(SLOF_DIR)
+	rm -rf $(SLOF_DIR)
+.PHONY: get-orig-source

## slof 20180702+dfsg

=== clients/net-snk/libc/time/Makefile ===
# *****************************************************************************
# * Copyright (c) 2004, 2011 IBM Corporation
# * All rights reserved.
# * This program and the accompanying materials
# * are made available under the terms of the BSD License
# * which accompanies this distribution, and is available at
# * http://www.opensource.org/licenses/bsd-license.php
# *
# * Contributors:
# *     IBM Corporation - initial implementation
# ****************************************************************************/

ifndef TOP
  TOP = $(shell while ! test -e make.rules; do cd ..  ; done; pwd)
  export TOP

endif
include $(TOP)/make.rules


OBJS = timer.o ftime.o


all: time.o

time.o: $(OBJS)
	$(LD) $(LDFLAGS) -r $< -o $@

clean:
	$(RM) -f *.o *.i *.s

distclean mrproper: clean

include $(TOP)/make.depend

=== debian/changelog ===
slof (20180702+dfsg-1) unstable; urgency=medium

  * New upstream snapshot for the QEMU 3.x.x releases.
  * Switch Vcs-* fields to salsa.
  * Drop debian/source/options, xz is now the default.
  * Build verbosely.
  * Bump debhelper compat 10. This requires to undefine CFLAGS and LDFLAGS
    as the default flags are not usable to build a firmware.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 Dec 2018 14:55:34 +0100

=== debian/control ===
Source: slof
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10), gcc-powerpc64-linux-gnu [!ppc64]
Standards-Version: 4.0.1
Vcs-Browser: https://salsa.debian.org/qemu-team/slof
Vcs-Git: https://salsa.debian.org/qemu-team/slof.git
Homepage: https://github.com/aik/SLOF

Package: qemu-slof
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: qemu
Description: Slimline Open Firmware -- QEMU PowerPC version
 Slimline Open Firmware (SLOF) is an implementation of the IEEE 1275
 standard. It can be used as partition firmware for pSeries machines
 running on QEMU or KVM.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	$(MAKE) -C $(CURDIR)/debian/spapr-rtas clean
 
 override_dh_auto_build-indep:
-	dh_auto_build -- qemu CROSS="powerpc64-linux-gnu-"
+	env -u LDFLAGS -u CFLAGS $(MAKE) qemu CROSS="powerpc64-linux-gnu-" V=2
 	$(MAKE) -C $(CURDIR)/debian/spapr-rtas CROSS="powerpc64-linux-gnu-"
 
 override_dh_auto_install-indep:

## slof 20191209+dfsg

=== debian/changelog ===
slof (20191209+dfsg-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Merge new 20191209 as tagged for qemu 4.2
    - d/rules: drop dh --parallel now being the default
    - among other issues this fixes an illegal instruction crash
      in qemu-system on ppc64el (closes: #950005)

  [ Michael Tokarev ]
  * add myself to uploaders, upload the package to debian unstable

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Jan 2020 23:27:09 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: slof
 Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
-Uploaders: Aurelien Jarno <aurel32@debian.org>
+Uploaders: Aurelien Jarno <aurel32@debian.org>,
+ Michael Tokarev <mjt@tls.msk.ru>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>= 10), gcc-powerpc64-linux-gnu [!ppc64]

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	dh_clean
